
<!DOCTYPE html>
<html>
	<head>
		<title>Software Engineering Code of Ethics and Professional Practice</title>
	</head>
	<body>
		<em>Science and Engineering Ethics (2001) 7, 231-238</em>

		<hr />

		<h1>Software Engineering Code of Ethics and Professional Practice</h1>

		<strong>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</strong>

		<hr />

		<p><strong>Keywords</strong>: code of ethics, professional responsibility, software engineering</p>

		<strong>PREAMBLE</strong>

		<p>The short version of the code summarize aspirations at a high level of abstraction. The clauses that are included in the full version give examples and details of how these aspirations change the way we act as a software engineering professionals. Without the aspirations, the details can become legalistic and tedious; without the details, the aspirations can become high-sounding but empty; together, the aspirations and the details form a cohesive code.</p>

	</body>
</html>